/**
 * 最初の著者:: トゥイー
 * リポジトリ情報:: $Id: SAPIRecognitionProperty.hpp 26 2011-05-10 12:09:48Z yutaka_at_home $
 * 著作権:: Copyright (C) Ownway.info, 2011. All rights reserved.
 * ライセンス:: CPL(Common Public Licence)
 */

#ifndef _SPEECH_CONTROLLER_FRAMEWORK_SAPI_SAPI_RECOGNITION_PROPERTY_HPP_
#define _SPEECH_CONTROLLER_FRAMEWORK_SAPI_SAPI_RECOGNITION_PROPERTY_HPP_

#include "spcf/core/RecognitionProperty.hpp"

#include <sphelper.h>

namespace spcf {

	class SAPIRecognitionProperty_i;

	class SAPIRecognitionProperty : public RecognitionProperty {
	private:
		SAPIRecognitionProperty_i* impl;

	public:
		SAPIRecognitionProperty(const SPPHRASEPROPERTY* property);
		virtual ~SAPIRecognitionProperty();

	private:
		SAPIRecognitionProperty(const SAPIRecognitionProperty& recognition);
		SAPIRecognitionProperty& operator=(const SAPIRecognitionProperty& recognition);

	public:
		const std::string& getName() const;

		bool hasInt() const;

		const int& getInt() const;

		bool hasString() const;

		const std::string& getString() const;
	};

}  // namespace spcf

#endif
